/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sample.user.crud.basic.implementation;

import javax.jws.WebService;
import sample.user.crud.basic.DeleteRequest;
import sample.user.crud.basic.DeleteResponse;
import sample.user.crud.basic.Status;
import sample.user.crud.basic.StatusCode;

/**
 *
 * @author ricky
 */
@WebService(endpointInterface = "sample.user.crud.basic.DeletePort")
public class DeletePort {

    private UserMapSingleton map = UserMapSingleton.getSingleton();

    public DeleteResponse delete(DeleteRequest request) {
        // create the resposne with the status
        DeleteResponse response = new DeleteResponse();
        Status status = new Status();
        response.setStatus(status);
        try {
            if (request.getId() == null) {
                status.setStatus(StatusCode.ERROR);
                status.setMessage("No ID to get passed!");
            } else {
                if (map.getMap().remove(request.getId()) == null) {
                    status.setStatus(StatusCode.ERROR);
                    status.setMessage("User '" + request.getId() + "' does not exist!");
                } else {
                    status.setStatus(StatusCode.OK);
                    status.setMessage("User '" + request.getId() + "' removed!");
                }
            }
            return response;
        } catch (Throwable t) {
            status.setStatus(StatusCode.ERROR);
            status.setMessage(t.getMessage());
            return response;
        }
    }
}
